<template>
  <q-item :key="persona.apellidoynombre">
    <q-item-section avatar>
      <Personasfoto :uuid="persona.uuid" />
    </q-item-section>

    <q-item-section>
      <q-item-label>{{ persona.apellidoynombre }}</q-item-label>
      <q-item-label caption lines="1" v-if="dnioculto">
        <strong class="text-muted">Documento: </strong>
        {{ persona.documento }}</q-item-label
      >
    </q-item-section>
    <q-item-section side>
      <q-badge v-if="persona.afiliacion === false" color="red">
        No Afiliado
      </q-badge>
    </q-item-section>
  </q-item>
</template>

<script lang="ts">
import Personasfoto from './Foto.vue';

import { defineComponent } from 'vue';

export default defineComponent({
  name: 'PersonasDetalle',
  components: {
    Personasfoto,
  },
  props: {
    persona: {
      type: Object,
      required: true,
    },
    dnioculto: {
      type: Boolean,
      required: false,
      default: true,
    },
  },
  setup() {
    return {};
  },
});
</script>
